pcl::MultiChannel2DComparisonFeature< PointT > Class Template Reference

Feature for comparing two sample points in 2D multi-channel data. More...

`#include <pcl/ml/multi_channel_2d_comparison_feature.h>`

## Public Member Functions

| MultiChannel2DComparisonFeature ()
| Constructor. More...
virtual | ~MultiChannel2DComparisonFeature ()
| Destructor. More...
void | serialize (std::ostream &stream) const
| Serializes the feature to a stream. More...
void | deserialize (std::istream &stream)
| Deserializes the feature from a stream. More...

## Public Attributes

PointT | p1
| First sample point. More...
PointT | p2
| Second sample point. More...
unsigned char | channel
| Specifies which channel is used for comparison. More...

## Detailed Description

### template<class PointT>
class pcl::MultiChannel2DComparisonFeature< PointT >

Feature for comparing two sample points in 2D multi-channel data.

Definition at line 49 of file multi_channel_2d_comparison_feature.h.

## Constructor & Destructor Documentation

## MultiChannel2DComparisonFeature()

template<class PointT >

pcl::MultiChannel2DComparisonFeature< PointT >::MultiChannel2DComparisonFeature | ( |  | ) |

inline

Constructor.

Definition at line 52 of file multi_channel_2d_comparison_feature.h.

## ~MultiChannel2DComparisonFeature()

template<class PointT >

virtual pcl::MultiChannel2DComparisonFeature< PointT >::~MultiChannel2DComparisonFeature | ( |  | ) |

inline virtual

Destructor.

Definition at line 55 of file multi_channel_2d_comparison_feature.h.

## Member Function Documentation

## deserialize()

template<class PointT >

void pcl::MultiChannel2DComparisonFeature< PointT >::deserialize | ( | std::istream & | stream | ) |

inline

Deserializes the feature from a stream.

Parameters

  [in] | stream | the source for the deserialization

Definition at line 74 of file multi_channel_2d_comparison_feature.h.

## serialize()

template<class PointT >

void pcl::MultiChannel2DComparisonFeature< PointT >::serialize | ( | std::ostream & | stream | ) | const

inline

Serializes the feature to a stream.

Parameters

  [out] | stream | the destination for the serialization

Definition at line 62 of file multi_channel_2d_comparison_feature.h.

## Member Data Documentation

## channel

template<class PointT >

unsigned char pcl::MultiChannel2DComparisonFeature< PointT >::channel

Specifies which channel is used for comparison.

Definition at line 87 of file multi_channel_2d_comparison_feature.h.

Referenced by pcl::ScaledMultiChannel2DComparisonFeatureHandler< DATA_TYPE, NUM_OF_CHANNELS, SCALE_CHANNEL, INVERT_SCALE >::evaluateFeature(), and pcl::MultiChannel2DComparisonFeatureHandler< DATA_TYPE, NUM_OF_CHANNELS >::evaluateFeature().

## p1

template<class PointT >

PointT pcl::MultiChannel2DComparisonFeature< PointT >::p1

First sample point.

Definition at line 83 of file multi_channel_2d_comparison_feature.h.

Referenced by pcl::ScaledMultiChannel2DComparisonFeatureHandler< DATA_TYPE, NUM_OF_CHANNELS, SCALE_CHANNEL, INVERT_SCALE >::evaluateFeature(), pcl::MultiChannel2DComparisonFeatureHandler< DATA_TYPE, NUM_OF_CHANNELS >::evaluateFeature(), and pcl::ScaledMultiChannel2DComparisonFeatureHandlerCCodeGenerator< DATA_TYPE, NUM_OF_CHANNELS, SCALE_CHANNEL, INVERT_SCALE >::generateEvalCode().

## p2

template<class PointT >

PointT pcl::MultiChannel2DComparisonFeature< PointT >::p2

Second sample point.

Definition at line 85 of file multi_channel_2d_comparison_feature.h.

Referenced by pcl::ScaledMultiChannel2DComparisonFeatureHandler< DATA_TYPE, NUM_OF_CHANNELS, SCALE_CHANNEL, INVERT_SCALE >::evaluateFeature(), pcl::MultiChannel2DComparisonFeatureHandler< DATA_TYPE, NUM_OF_CHANNELS >::evaluateFeature(), and pcl::ScaledMultiChannel2DComparisonFeatureHandlerCCodeGenerator< DATA_TYPE, NUM_OF_CHANNELS, SCALE_CHANNEL, INVERT_SCALE >::generateEvalCode().

The documentation for this class was generated from the following file:

- pcl/ml/multi_channel_2d_comparison_feature.h